Rotate connection keys
Rotates the connection keys for the Okta, OIDC, or SAML (samlp) connection strategies.
Set key_use to signing (default) to rotate the signing key, optionally choosing signing_alg, or to encryption to rotate the encryption key, optionally choosing encryption_alg. Rotating signing keys requires the connection to be configured to use JWT Client Authentication. Rotating encryption keys requires the connection to be configured to use encrypted ID tokens (id_token_encrypted_response_alg set), which applies only to OIDC and Okta connections. When encryption_alg is omitted, the new encryption key uses id_token_encrypted_response_alg.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Scopes
Create Connections Keys
Update Connections Keys
Path Parameters
ID of the connection
Body
Whether to rotate the signing key (default) or the encryption key for the connection.
encryption, signing Selected Signing Algorithm. Only applicable when key_use is "signing".
RS256, RS384, RS512, PS256, PS384, ES256, ES384 Selected key-management algorithm for the encryption key. Only applicable when key_use is "encryption".
RSA-OAEP-256, RSA-OAEP-384, RSA-OAEP-512, ECDH-ES, ECDH-ES+A128KW, ECDH-ES+A192KW, ECDH-ES+A256KW Response
Connection keys successfully rotated.
The key id of the signing or encryption key
255The public certificate of the signing or encryption key
4096The cert fingerprint
The cert thumbprint
255The public certificate of the signing or encryption key in pkcs7 format
4096True if the key is the the next key
Key algorithm: a signing algorithm for signing keys, or a key-management algorithm for encryption keys
Key use, whether for encryption or signing
encryption, signing 132